TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

SwapRows_ ( elt-alg^mat/res^pow M, elt-ord^rat i, elt-ord^rat j ) -> elt-alg^mat/res^pow O

### Description

<shortdoc> Changes M by swapping the rows i and j. </shortdoc>

### Examples

x_PA:= PolynomialAlgebra(FiniteField(5));; x_f:= Coerce(x_PA,X^2+2);; x_PSR:= PowerSeriesRing(FiniteField(5),x_f);; x_Quo:= Quotient(x_PSR,20);; a:=Element(x_PSR,[1,2,3]);; b:=Element(x_PSR,0);; c:=Element(x_PSR,[3,4]);; d:= Element(x_PSR,1);; M:= Matrix(x_PSR,2,2,[a,b,c,d]); SwapRows_(M,1,2);; M;

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack